CRM_REPORT(8)

NAME
crm_report - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_report [options] [DEST]

DESCRIPTION
crm_report - Create archive of everything needed when reporting cluster problems

  Required option:

-f, --from TIME
    time prior to problems beginning (as "YYYY-M-D H:M:S" including the quotes)

OPTIONS

-V  increase verbosity (may be specified multiple times)

-h, --help
    display this message

-v, --version
    display software version

--features
    display software features

-t, --to TIME
    time at which all problems were resolved (as "YYYY-M-D H:M:S" including the quotes; default "now")

-T, --cts TEST
    CTS test or set of tests to extract

--cts-log
    CTS master logfile

-n, --nodes NODES
    node names for this cluster (only needed if cluster is not active on this host; accepts -n "a b" or -n a -n b)

-M  do not search for cluster logs

-l, --logfile FILE
    log file to collect (in addition to detected logs if -M is not specified; may be specified multiple times)

-p PATT
    additional regular expression to match variables to be masked in output (default: "passw.*")

-L PATT
    additional regular expression to match in log files for analysis (default: CRIT: ERROR:)

-S, --single-node
    don't attempt to collect data from other nodes

-c, --cluster TYPE
    force the cluster type instead of detecting (currently only corosync is supported)

-C, --corosync
    force the cluster type to be corosync

-u, --user USER
    username to use when collecting data from other nodes (default root)

-D, --max-depth
    search depth to use when attempting to locate files

-e, --rsh
    command to use to run commands on other nodes (default ssh -T)

-d, --as-directory
    leave result as a directory tree instead of archiving

--sos-mode
    use defaults suitable for being called by sosreport tool (behavior subject to change and not useful to end users)

DEST, --dest DEST
    custom destination directory or file name

crm_report works best when run from a cluster node on a running cluster, but can be run from a stopped cluster node or a Pacemaker Remote node.

If neither --nodes nor --single-node is given, crm_report will guess the node list, but may have trouble detecting Pacemaker Remote nodes. Unless --single-node is given, the node names (whether specified by --nodes or detected automatically) must be resolvable and reachable via the command specified by -e/--rsh using the user specified by -u/--user.

EXAMPLES

    crm_report -f "2011-12-14 13:05:00" unexplained-apache-failure crm_report -f 2011-12-14 -t 2011-12-15 something-that-took-multiple-days crm_report -f 13:05:00 -t 13:12:00 brief-outage